output "alpaca_vm_ids" {
  value = {
    for i in range(var.alpaca_count) :
    "alpaca-${i + 1}" => proxmox_vm_qemu.alpacas[i].vmid
  }
}

output "alpaca_vm_names" {
  value = [for vm in proxmox_vm_qemu.alpacas : vm.name]
}

output "llama_vm_ids" {
  value = {
    for i in range(var.llama_count) :
    "llama-${i + 1}" => proxmox_vm_qemu.llamas[i].vmid
  }
}

output "llama_vm_names" {
  value = [for vm in proxmox_vm_qemu.llamas : vm.name]
}

